<div class="modal" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1>{{'adminOperationModeEdit.edit' | message: {operationMode: vm.operationMode.name} }}</h1>
            </div>
            <div class="modal-body">
                <form id="edit-operation-mode-form" ng-submit="vm.saveOperationModeDetails()">
                    <label for="operationModeName">{{'adminOperationModeEdit.name' | message}}</label>
                    <input id="operationModeName" type="text" ng-model="vm.operationMode.name" required />
                    <label for="operationModeCode">{{'adminOperationModeEdit.code' | message}}</label>
                    <input id="operationModeCode" type="text" ng-model="vm.operationMode.code" required />
                    <label
                        for="operationModeDescription">{{'adminOperationModeEdit.description' | message}}</label>
                    <input id="operationModeDescription" type="text" ng-model="vm.operationMode.description" />
                    <label
                        for="operationModeDisplayOrder">{{'adminOperationModeEdit.displayOrder' | message}}</label>
                    <input id="operationModeDisplayOrder" type="text" ng-model="vm.operationMode.displayOrder"
                        required />
                    <label for="active">
                        <input id="active" type="checkbox" ng-model="vm.operationMode.active" />
                        {{'adminOperationModeEdit.active' | message}}
                    </label>
                </form>
            </div>
            <div class="modal-footer">
                <div class="button-group">
                    <button ng-click="vm.saveOperationModeDetails()">{{'adminOperationModeEdit.save' | message}}</button>
                    <button ng-click="vm.goToPreviousState()">{{'adminOperationModeEdit.cancel' | message}}</button>
                </div>
            </div>
        </div>
    </div>
</div>